osCommerce

De huidige stabiele versie 2 van osCommerce maakt gebruik van register_globals = on. Deze oude verkeerde manier van gebruik van php code staat uit op de shared hosting webservers van grootheid (dit is een door PHP zelf geadviseerde instelling uit veiligheidsoverweging. In PHP 6 zal register_globals zelfs niet meer beschikbaar zijn).

Om toch osCommerce op een veilige manier de installeren kunt is er een patch beschikbaar: http://www.oscommerce.com/community/contributions,2097/category,3/search,register_globals

Hiermee wel een goede installatie doen.